## ros-iron-std-msgs 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(std_msgs)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/Bool.msg"
  "msg/Byte.msg"
  "msg/ByteMultiArray.msg"
  "msg/Char.msg"
  "msg/ColorRGBA.msg"
  "msg/Empty.msg"
  "msg/Float32.msg"
  "msg/Float32MultiArray.msg"
  "msg/Float64.msg"
  "msg/Float64MultiArray.msg"
  "msg/Header.msg"
  "msg/Int16.msg"
  "msg/Int16MultiArray.msg"
  "msg/Int32.msg"
  "msg/Int32MultiArray.msg"
  "msg/Int64.msg"
  "msg/Int64MultiArray.msg"
  "msg/Int8.msg"
  "msg/Int8MultiArray.msg"
  "msg/MultiArrayDimension.msg"
  "msg/MultiArrayLayout.msg"
  "msg/String.msg"
  "msg/UInt16.msg"
  "msg/UInt16MultiArray.msg"
  "msg/UInt32.msg"
  "msg/UInt32MultiArray.msg"
  "msg/UInt64.msg"
  "msg/UInt64MultiArray.msg"
  "msg/UInt8.msg"
  "msg/UInt8MultiArray.msg"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-std-msgs (5.0.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-std-msgs (4.7.0-2jammy) jammy; urgency=high

  * Update common_interfaces to C++17. (#215 <https://github.com/ros2/common_interfaces/issues/215>)
  * [rolling] Update maintainers - 2022-11-07 (#210 <https://github.com/ros2/common_interfaces/issues/210>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-std-msgs (4.6.1-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-std-msgs (4.6.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-std-msgs (4.5.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-iron-std-msgs (4.4.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-std-msgs (4.3.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-std-msgs (4.2.1-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-std-msgs (4.2.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-std-msgs (4.1.1-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Fri, 25 Mar 2022 16:00:00 -0000

ros-iron-std-msgs (4.1.0-2jammy) jammy; urgency=high

  * Interface packages should fully <depend> on the interface packages that they depend on (#173 <https://github.com/ros2/common_interfaces/issues/173>)
  * Contributors: Grey

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-std-msgs (4.0.0-2jammy) jammy; urgency=high

  * Update maintainers to Geoffrey Biggs and Tully Foote (#163 <https://github.com/ros2/common_interfaces/issues/163>)
  * Contributors: Audrow Nash

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-iron-std-msgs (3.0.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 23 Aug 2021 16:00:00 -0000

ros-iron-std-msgs (2.3.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-std-msgs (2.2.3-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 26 Apr 2021 16:00:00 -0000

ros-iron-std-msgs (2.2.2-2jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#149 <https://github.com/ros2/common_interfaces/issues/149>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#145 <https://github.com/ros2/common_interfaces/issues/145>)
    Co-authored-by: Simon Honigmann <mailto:shonigmann@blueorigin.com>
  * Contributors: Chris Lalancette, shonigmann

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-std-msgs (2.2.1-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-std-msgs (2.2.0-2jammy) jammy; urgency=high

  * Update QDs to QL 1 (#135 <https://github.com/ros2/common_interfaces/issues/135>)
  * Update package maintainers. (#132 <https://github.com/ros2/common_interfaces/issues/132>)
  * Updated Quality Level to 2 (#131 <https://github.com/ros2/common_interfaces/issues/131>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-iron-std-msgs (2.1.0-2jammy) jammy; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 20 Jul 2020 16:00:00 -0000

ros-iron-std-msgs (2.0.2-2jammy) jammy; urgency=high

  * Update Quality levels to level 3 (#124 <https://github.com/ros2/common_interfaces/issues/124>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#120 <https://github.com/ros2/common_interfaces/issues/120>)
  * Contributors: Chris Lalancette, brawner

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 20 Jul 2020 16:00:00 -0000

ros-iron-std-msgs (2.0.1-2jammy) jammy; urgency=high

  * QD Update Version Stability to stable version (#121 <https://github.com/ros2/common_interfaces/issues/121>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-std-msgs (1.0.0-2jammy) jammy; urgency=high

  * Add deprecation messages to all messages now in example_interfaces (#116 <https://github.com/ros2/common_interfaces/issues/116>)
  * Add current-level quality declarations (#109 <https://github.com/ros2/common_interfaces/issues/109>)
  * Contributors: Tully Foote, brawner

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 19 May 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-std-msgs
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-rosidl-default-generators, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-std-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rosidl-default-runtime, ros-iron-ros-workspace
Description: A package containing some standard message definitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-std-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
